[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CustomDrawnDrawers' (#lcl)

# TCDCTabControlStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: customdrawndrawers.pas line 250

`type TCDCTabControlStateEx = class(TCDControlStateEx)`
`public`
`LeftmostTabVisibleIndex: Integer;` |  |
`Tabs: TStringList;` |  |
`TabIndex: Integer;` |  |
`TabCount: Integer;` |  |
`Options: TCTabControlOptions;` |  |
`CurTabIndex: Integer;` |  |
`CurStartLeftPos: Integer;` |  |
`CurStartTopPos: Integer;`
`end;`

## Inheritance

`TCDCTabControlStateEx` |  |
`TCDControlStateEx` |  |
`TObject`